Flickering menu items on UC Lite v8.00.0.1010 (solved)

Flickering menu items on UC Lite v8.00.0.1010 (solved)

6
NewbieNewbie
6

    Dec 18, 2017#1

    This has happened on several machines I have used over the last couple of years, with Windows 7 and Windows 10.

    I can't remember the point at which it started to happen, but it didn't used to.

    It does not happen with any line that gives access to a submenu, such as FTP, Browser View, Advanced Merge, Accept All.

    Only happens with UC, not UE (or any other program I use).

    Any suggestions very welcome.

    6,603547
    Grand MasterGrand Master
    6,603547

      Dec 26, 2017#2

      I could see this display issue also after extracting UltraEdit for Windows v19.00.0.1031 from an archive which contains UC Lite v8.00.0.1010 and started from within UE v19.00 a text file comparison using UC Lite v8.00 on Windows 7 x64.

      Next I restored also UltraCompare Professional for Windows v8.00.0.1027 from an archive, started it and could see same flickering of main menu items. It looks like the menu items with an icon are invalidated all the time and therefore redrawn all the time.

      I am 100% sure that this display issue did not occur on same Windows 7 x64 machine as UC Prof. v8.00 was released January 2011.

      I started next UltraCompare Professional for Windows v8.00.0.1027 on a Windows XP x86 machine and could not see that flickering.

      So I suppose that a Windows security update of one of the DLLs used by UC Prof./Lite v8.00 is responsible for the flickering menu items with an icon.

      On Windows XP x86 machine UC Professional/Lite v8.00 uses
      %SystemRoot%\WinSxS\x86_Microsoft.Windows.GdiPlus_6595b64144ccf1df_1.0.6002.23084_x-ww_f3f35550\GdiPlus.dll
      which is the only installed Microsoft GdiPlus library on this machine which has internally the version 5.2.6002.23084.

      On Windows 7 x64 machine UC Professional/Lite v8.00 uses
      %SystemRoot%\winsxs\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.7601.23894_none_5c0be957a009922e\GdiPlus.dll
      which is just one of in total 8 installed Microsoft GdiPlus libraries on this machine which has internally the version 6.1.7601.23894.

      Which GdiPlus.dll is loaded on starting UC Prof./Lite is controlled by Window Side-by-Side management. It should be possible to force a specific version of a DLL using per-application configuration with an application configuration file. But I have no knowledge on how to create a valid ucl.exe.config (for UC Lite) respectively uc.exe.config (for UC Prof.) which specifies that Windows should load on starting UC Lite/Prof. v8.00 a specific older version of the GdiPlus.dll on which this display issue does not occur as in the past.

      What worked on my tests was copying the files ucl.chm, ucl.exe and uclres.dll of English 32-bit UltraEdit v22.10 over those three files installed with English 32-bit UltraEdit v19.00. Those three files of UE v22.10 are the latest UCL files of version 14.00.0.1004 compatible with UE v19.00. The UC Lite files of 32-bit UE v22.20 and all newer versions of UltraEdit are not anymore downwards compatible. ucl.exe v14.00.0.1004 depends additionally on the ICU library files icuuc49.dll and icudt49.dll installed with UltraEdit v22.10 in version 49.1.1. UltraEdit executable depends additionally also on icuin49.dll, but not ucl.exe.

      So I can suggest just following 3 solutions for this display issue:
      • An upgrade to latest UltraEdit is made to get installed also latest version of UC Lite.
      • Just the three files of UC Lite are upgraded by taking them from UltraEdit version 22.10 plus adding the two ICU library files.
        The three files of UC Lite v14.00 from UE v22.10 have to be requested from IDM by email.
        The two additionally needed ICU library files can be get by downloading from page ICU4C Binary Download (49.1.1) the ZIP file icu4c-49_1_1-Win32-msvc10.zip and extract from directory icu\bin inside the ZIP file the two files icuuc49.dll and icudt49.dll into the program files folder of UltraEdit with ucl.exe.
      • Somebody finds out how to define correct ucl.exe.config so that Windows loads an older version of GdiPlus.dll on which this display issue does not occur with UCL v8.00.0.1010. This could be also support of IDM.
      Best regards from an UC/UE/UES for Windows user from Austria

      6
      NewbieNewbie
      6

        Mar 01, 2018#3

        Many thanks for your thorough investigations, much appreciated, also sorry for the delay responding.

        The help desk have been very responsive, but attempts to get hold of the requested files were initially thwarted by employer's email security.

        I have tried the new exe/dll (version 14.0.0.1004) with ICU library files now.

        Perfect!

        UCL opens and no menu issues anymore.

        Many thanks again for your help and advice.